# Uses of Class
io.dapr.client.domain.SubscribeConfigurationRequest

Packages that use SubscribeConfigurationRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of SubscribeConfigurationRequest in io.dapr.client

Methods in io.dapr.client with parameters of type SubscribeConfigurationRequest
Modifier and Type
Method
Description
`reactor.core.publisher.Flux<SubscribeConfigurationResponse>`
DaprClient.`subscribeConfiguration(SubscribeConfigurationRequest request)`
Subscribe to the keys for any change.
`reactor.core.publisher.Flux<SubscribeConfigurationResponse>`
DaprClientImpl.`subscribeConfiguration(SubscribeConfigurationRequest request)`
Subscribe to the keys for any change.

## Uses of SubscribeConfigurationRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return SubscribeConfigurationRequest
Modifier and Type
Method
Description
`SubscribeConfigurationRequest`
SubscribeConfigurationRequest.`setMetadata(Map<String,String> metadata)`